#ifndef MASTERMIND_H
#define MASTERMIND_H

#include "configure.h"

void    mastermind_initialize(void);
int     mastermind_total_combinations(void);
int     mastermind_combinations(void);
BOOLEAN mastermind_solved(void);
void    mastermind_generate_answer(void);

void    mastermind_user_wants_to_quit(void);
void    mastermind_user_wants_help(void);
void    mastermind_user_entered_try(long);
void    mastermind_show_correct_solution(void);
void    mastermind_user_wants_new_game(void);
void    mastermind_key_pressed(char ch, int position);

#endif
