#ifndef FD_mainwindow_h_
#define FD_mainwindow_h_
/* Header file generated with fdesign. */

/**** Callback routines ****/

extern void guitoapp_user_entered_try(FL_OBJECT *, long);
extern void guitoapp_show_correct_solution(FL_OBJECT *, long);
extern void guitoapp_user_wants_new_game(FL_OBJECT *, long);
extern void guitoapp_empty_callback(FL_OBJECT *, long);
extern void guitoapp_user_wants_to_quit(FL_OBJECT *, long);
extern void guitoapp_user_wants_help(FL_OBJECT *, long);
extern void guitoapp_key_pressed(FL_OBJECT *, long);


/**** Forms and Objects ****/

typedef struct {
	FL_FORM *mainwindow;
	void *vdata;
	long ldata;
	FL_OBJECT *total_combinations;
	FL_OBJECT *left_combinations;
	FL_OBJECT *get_solution_button;
	FL_OBJECT *new_game_button;
	FL_OBJECT *eliminated_combinations;
	FL_OBJECT *quit_button;
	FL_OBJECT *help_button;
	FL_OBJECT *answer[50];
	FL_OBJECT *try_button[10];
	FL_OBJECT *game_area_choice[50];
	FL_OBJECT *correct_solution[5];
	FL_OBJECT *shortcut[26];
} FD_mainwindow;

extern FD_mainwindow * create_form_mainwindow(void);

#endif /* FD_mainwindow_h_ */
